package com.ynet.life.credit.business;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.credit.business.BaseApiExcutor;
import com.ynet.life.exception.TranFailException;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;
import org.apache.tools.zip.ZipEntry;
import org.apache.tools.zip.ZipOutputStream;

public class CreateFileListWithZip extends BaseApiExcutor {

   private String iCollName;


   public void setICollName(String iCollName) {
      this.iCollName = iCollName;
   }

   public String execute(Context context) throws GENEException {
      TranFailException tfe;
      try {
         IndexedCollection var9;
         Object[] fileList = (var9 = (IndexedCollection)context.getDataElement(this.iCollName)).toArray();
         if(var9 != null && var9.size() >= 0) {
            if(fileList != null && fileList.length > 0) {
               ArrayList var10 = new ArrayList();
               String kcoll = "";

               for(int i = 0; i < var9.size(); ++i) {
                  KeyedCollection var11;
                  String file = (String)(var11 = (KeyedCollection)var9.getElementAt(i)).get("outputFilePath");
                  String name = (String)var11.get("outputFileName");
                  kcoll = LifeStandard.getSelfDefineSettingsValue("fileRootPath");
                  file = createWord(kcoll + file, name);
                  File var12 = new File(file);
                  var10.add(var12);
               }

               createZIP(kcoll, var10);
            }

            return "0";
         } else {
            tfe = new TranFailException("400", "下载失败", false);
            context.put("GENEException", tfe);
            throw tfe;
         }
      } catch (Exception var8) {
         tfe = new TranFailException("400", "系统找不到指定文件", false);
         context.put("GENEException", tfe);
         throw tfe;
      }
   }

   public static String createWord(String filePath, String fileName) throws Exception {
      File outFile;
      if(!(outFile = new File(filePath + File.separator + fileName)).getParentFile().exists()) {
         outFile.getParentFile().mkdirs();
      }

      return filePath + File.separator + fileName;
   }

   public static byte[] readInputStream(InputStream inputStream) throws IOException {
      byte[] buffer = new byte[1024];
      ByteArrayOutputStream bos = new ByteArrayOutputStream();

      int len;
      while((len = inputStream.read(buffer)) != -1) {
         bos.write(buffer, 0, len);
      }

      bos.close();
      return bos.toByteArray();
   }

   public static void createZIP(String tfe, List files) throws GENEException {
      String buffer = "项目申报书.zip";
      tfe = tfe + File.separator + buffer;
      byte[] var10 = new byte[1024];

      try {
         ZipOutputStream e;
         (e = new ZipOutputStream(new FileOutputStream(tfe))).setEncoding("GBK");

         for(int var9 = 0; var9 < files.size(); ++var9) {
            FileInputStream fis = new FileInputStream((File)files.get(var9));
            e.putNextEntry(new ZipEntry(((File)files.get(var9)).getName()));

            int len;
            while((len = fis.read(var10)) > 0) {
               e.write(var10, 0, len);
            }

            e.closeEntry();
            fis.close();
         }

         e.close();
      } catch (FileNotFoundException var6) {
         TranFailException var8 = new TranFailException("400", var6.getMessage(), false);
         var6.printStackTrace();
         throw var8;
      } catch (IOException var7) {
         var7.printStackTrace();
      }
   }

   public static void main(String[] fos) {
      File fos1 = new File("C:/Users/10235/Desktop/1.txt");
      System.out.println(fos1);

      try {
         FileOutputStream fos2 = new FileOutputStream(fos1);
         String s = "this is a question";
         fos2.write(s.getBytes());
         fos2.close();
         System.out.println(fos2);
      } catch (Exception var2) {
         var2.printStackTrace();
      }
   }
}
